Bug 7893

Summary: Attribute attributeSeparator invalid according to the specified TLD
Product: Taglibs Reporter: Kevin Johnston <kjohnst2>
Component: JNDI TaglibAssignee: Tomcat Developers Mailing List <dev>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: unspecified   
Target Milestone: ---   
Hardware: Other   
OS: other   

Description Kevin Johnston 2002-04-09 20:37:55 UTC
The jndi:search tag is supposed to have an attribute called attributesSeparator 
according to the documentation and the jndi.tld file. However, looking at the 
java class it appears that the method name is attributeSeparator. If I use 
attributeSeparator="|", for example, in the tag this produces the following 
error message "Attribute attributeSeparator invalid according to the specified 
TLD" To get around this I edited the jndi.tld to have attributeSeparator instead 
of attributesSeparator.
That's a pretty easy fix, but I'm guessing that it would be better to fix the 
java class so that the documentation and the jndi.tld don't have to be modified.
This is my first bug submittal ever so I hope I followed protocol. Let me know 
if/how I can help further.
Comment 1 Kevin Johnston 2002-04-09 20:47:13 UTC
I forgot to add that the original error message was "Unable to find setter 
method for attribute: attributesSeparator. This error occurred when I used 
jndi:search ... attributesSeparator="|" right of the box (so to speak).
Comment 2 Glenn Nielsen 2002-04-10 14:31:02 UTC
I just did an overhaul of the JNDI taglib a few days ago.
Looking at the build the search tag attributeSeparator method
matches both the new docs and the tld.
Please download the latest version from the nightly build and
test it. This should be fixed in the latest nightly build.
Comment 3 Henri Yandell 2009-07-11 01:28:53 UTC
Looks like this is claimed to be fixed in svn.